#
# spec file for package libao (Version 0.8.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel arts arts-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs esound esound-devel expat file filesystem fillup findutils flac flex fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv jack jack-devel klogd less libacl libattr libcom_err libdrm libgcc libjpeg liblcms liblcms-devel libmng libmng-devel libnscd libogg libogg-devel libpng libpng-devel libstdc++ libstdc++-devel libtiff libtool libvorbis libvorbis-devel libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils qt3 qt3-devel rcs readline resmgr rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           libao
BuildRequires:  arts-devel esound-devel
%define my_provides /tmp/my-provides
Summary:        A Cross-Platform Audio Output Library
Version:        0.8.6
Release:        19.2
Group:          System/Libraries
License:        LGPL
URL:            http://www.xiph.org/ao/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{name}-%{version}.tar.bz2
Patch:          libao-alsa-fix.diff
Patch1:         lib64.dif
Patch2:         libao-configure.diff

%description
Libao is a cross-platform audio output library.  It currently supports
ESD, OSS, Solaris, and IRIX.



Authors:
--------
    Aaron Holtzman
    Stan Seibert <indigo@aztec.asu.edu>
    Jack Moffitt <jack@icecast.org>

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          System/Libraries
Requires:       glibc-devel, libao = %{version}

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Aaron Holtzman
    Stan Seibert <indigo@aztec.asu.edu>
    Jack Moffitt <jack@icecast.org>

%package arts
Summary:        aRts output plugin for libao
Group:          System/Libraries

%description arts
This package contains the aRts output plugin for libao.



Authors:
--------
    Aaron Holtzman
    Stan Seibert <indigo@aztec.asu.edu>
    Jack Moffitt <jack@icecast.org>

%prep
%setup
%patch
%patch2
if [ "%_lib" == "lib64" ]; then
%patch1
fi

%build
%{?suse_update_config:%{suse_update_config -f}}
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix} --libdir=%{_libdir} --enable-alsa09 
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
# create an old compatible m4 file
sed -e s/XIPH_PATH_AO/AM_PATH_AO/g < $RPM_BUILD_ROOT%{_datadir}/aclocal/ao.m4 > $RPM_BUILD_ROOT%{_datadir}/aclocal/ao-old.m4
# cleanup buildroot, remove unpackaged files
rm -fv $RPM_BUILD_ROOT/%{_libdir}/ao/plugins-2/*.la
rm -rf $RPM_BUILD_ROOT/usr/share/doc/libao-%{version}
# exclude plugins from the provide-list
cat << EOF > %{my_provides}
grep -v %{_libdir}/ao/ | %{__find_provides}
EOF
chmod 755 %{my_provides}
%define __find_provides %{my_provides}

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
rm -f %{my_provides}

%files
%defattr(-,root,root)
%doc AUTHORS CHANGES COPYING README TODO
%doc %{_mandir}/*/*
%{_libdir}/libao.so.*
%dir %{_libdir}/ao
%dir %{_libdir}/ao/plugins-2
%{_libdir}/ao/*/libalsa*.so
%{_libdir}/ao/*/libesd.so
%{_libdir}/ao/*/liboss.so

%files devel
%defattr(-,root,root)
%doc doc/*.html doc/*.c doc/*.css
%{_includedir}/ao
%{_libdir}/libao.so
%{_libdir}/libao.la
%{_datadir}/aclocal/*.m4
%{_libdir}/pkgconfig/*.pc

%files arts
%defattr(-,root,root)
%{_libdir}/ao/plugins-2/libarts.so

%changelog -n libao
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jul 07 2005 - tiwai@suse.de
- remove -fsigned-char (#93877)
- fixed Requires of devel subpackage.
* Wed Apr 13 2005 - tiwai@suse.de
- added audiofile-devel to neededforbuild.
* Mon Feb 07 2005 - tiwai@suse.de
- fixed the buffer allocation of ALSA plugin.
* Fri Jan 21 2005 - tiwai@suse.de
- updated to version 0.8.6.
* Wed Nov 24 2004 - tiwai@suse.de
- updated to version 0.8.5.
* Sun Apr 11 2004 - aj@suse.de
- Does not need kdelibs3.
* Mon Feb 09 2004 - tiwai@suse.de
- fixed builds on s390/s390x.
* Wed Jan 21 2004 - tiwai@suse.de
- fixed quoting in m4 files.
* Fri Jan 09 2004 - adrian@suse.de
- add %%run_ldconfig to %%postun
* Mon Oct 06 2003 - ro@suse.de
- added glib2, glib2-devel to neededforbuild (arts)
* Wed Jul 23 2003 - uli@suse.de
- no ALSA on s390x
- esound available on s390*
* Sun Jun 01 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Tue Jul 23 2002 - tiwai@suse.de
- fixed m4 file for lib64.
- provides the backward compatible m4 file.
* Mon Jul 22 2002 - tiwai@suse.de
- updated to version 0.8.3.
- clean up the spec file.
- added %%run_ldconfig.
* Mon May 06 2002 - meissner@suse.de
- %%_lib fixes
* Tue Mar 12 2002 - tiwai@suse.de
- added ao directory to the file list.
* Fri Feb 15 2002 - ro@suse.de
- changed neededforbuild <kdelibs3-artsd> to <arts arts-devel>
* Tue Feb 05 2002 - tiwai@suse.de
- fixed alsa09 plugin.  now it should work well on SB Live, too.
* Tue Jan 22 2002 - ro@suse.de
- changed neededforbuild <kdelibs-artsd> to <kdelibs3-artsd>
* Fri Jan 04 2002 - tiwai@suse.de
- updated to 0.8.2.
  sync with cvs 2002.01.04.
* Tue Dec 04 2001 - tiwai@suse.de
- fixed filelist.
- sync with cvs 2001.12.04.
* Mon Dec 03 2001 - tiwai@suse.de
- Enabled support for ALSA 0.9.0.
* Wed Oct 24 2001 - tiwai@suse.de
- sync with cvs 20011024.  version 0.8.1.
  + ALSA 0.9.x support
  + ver.2 plugins added
- removed Requires to libao from devel & arts.
* Mon Aug 13 2001 - tiwai@suse.de
- updated to 1.0rc2 from cvs 20010813.
* Fri Aug 03 2001 - tiwai@suse.de
- added kdelibs-arts to needeforbuild.
- fixed build on s390.
* Thu Jun 07 2001 - iwai@suse.de
- fixed build with the recent libtool.
* Wed Mar 21 2001 - tiwai@suse.de
- added alsa plugin.
- added arts plugin.  provided as a separate package, libao-arts.
* Mon Feb 26 2001 - tiwai@suse.de
- Updated to ver.0.6.0.
* Wed Jan 31 2001 - tiwai@suse.de
- Initial version: 0.5.0
